gdt:
gdt_null:
	dd 0
	dd 0
;(1)..code segment; base is 01b000h
gdt_code:
	dw 0ffffh	;limit of the segment
cbase1:	dw 0b000h	;base address of segment
cbase2:	db 01h		;still belonging to base address of segment
	db 10011010b	;1 for "segment is present"
			;00 for "privilege 0"
			;1 for "data or code segment"
			;1 for "code segment"
			;0 for "unconforming"
			;1 for readable
			;0 (access flag set by cpu on 1st access)
	db 11001111b	;1 for page-granularity
			;1 for 32 bit code segment
			;0 (reserved bit)
			;0 (available to system programmers)
			;1111b for last bits of segment limit
	db 0		;last byte of base address
;(2)..data segment; base is 01b000h
gdt_data:
	dw 0ffffh	;limit of the segment
dbase1:	dw 0b000h	;base address of segment
dbase2:	db 01h		;still belonging to base address of segment
	db 10010010b	;1 for "segment is present"
			;00 for "privilege 0"
			;1 for "data or code segment"
			;0 for "data segment"
			;0 for "expand downward"
			;1 for writable
			;0 (access flag set by cpu on 1st access)
	db 11001111b	;1 for page-granularity
			;1 for 32-bit stack pointer
			;0 (reserved bit)
			;0 (available to system programmers)
			;1111b for last bits of segment limit
	db 0		;last byte of base address
;(3)..stack segment
gdt_stack:
	dw 0fffch	;limit of the segment
sbase1:	dw 00700h	;base address of segment
sbase2:	db 0		;still belonging to base address of segment
	db 10010010b	;1 for "segment is present"
			;00 for "privilege 0"
			;1 for "data or code segment"
			;0 for "data segment"
			;0 for "expand downward"
			;1 for writable
			;0 (access flag set by cpu on 1st access)
	db 11001111b	;1 for page-granularity
			;1 for 32-bit stack pointer
			;0 (reserved bit)
			;0 (available to system programmers)
			;1111b for last bits of segment limit
	db 0		;last byte of base address
;(4) this is unused, ignore
gdt_code16:
	dw 010000h	;limit of the segment
cbase16_1:
	dw 0		;base address of segment
cbase16_2:
	db 0		;still belonging to base address of segment
	db 10011010b	;1 for "segment is present"
			;00 for "privilege 0"
			;1 for "data or code segment"
			;1 for "code segment"
			;0 for "unconforming"
			;1 for readable
			;0 (access flag set by cpu on 1st access)
	db 10000000b	;0 for byte-granularity
			;0 for 16 bit code segment
			;0 (reserved bit)
			;0 (available to system programmers)
			;0000b for last bits of segment limit
	db 0		;last byte of base address
;(5) this is unused, ignore
;gdt_data16:
;	dw 010000h	;limit of the segment
;dbase16_1:
;	dw 0		;base address of segment
;dbase16_2:
;	db 0		;still belonging to base address of segment
;	db 10010010b	;1 for "segment is present"
;			;00 for "privilege 0"
;			;1 for "data or code segment"
;			;0 for "data segment"
;			;0 for "expand downward"
;			;1 for writable
;			;0 (access flag set by cpu on 1st access)
;	db 00000000b	;0 for byte-granularity
;			;0 for 16-bit stack pointer
;			;0 (reserved bit)
;			;0 (available to system programmers)
;			;0000b for last bits of segment limit
;	db 0		;last byte of base address
times 510-($-$$) db 0 ; Fill the file with 0s
dw 055aah
